use leptos::*;
use leptos_router::*;
use leptos_use::core::ConnectionReadyState;

/// Renders the home page of your application.
#[component]
pub fn Header() -> impl IntoView {
    let ready_state = use_context::<Signal<ConnectionReadyState>>();
    // Creates a reactive value to update the button
    view! {
        <header>
            <div class="header-container">
                <A href="/">"WRB Timings"</A>
                <div>"Connection: " { move || format!("{}", ready_state.unwrap().get()) }</div>
            </div>
        </header>
    }
}
